#!/usr/bin/python

import sys
import os

cssRoot = '../htdocs/css/';

all_files = list()
csses = os.listdir(cssRoot)
csses = map(lambda x: cssRoot+x, csses)
all_files = all_files + csses

allCode = ''
for f in all_files:
	# this test should be better... but I'm lazy.
	if(f.find('.css') > 0):
		allCode += open(f, 'r').read()


f = open(cssRoot+'compiled.css', 'w')
f.write(allCode)
f.close()
